pci_match_device
Prev | PCI Support Library | Next

## Name

pci_match_device — Tell if a PCI device structure has a matching PCI device id structure

## Synopsis

`const struct pci_device_id * pci_match_device (` | struct pci_driver * | drv,
| struct pci_dev * | dev`)`;

## Arguments

`drv`

  the PCI driver to match against

`dev`

  the PCI device structure to match against

## Description

Used by a driver to check whether a PCI device present in the system is in its list of supported devices. Returns the matching pci_device_id structure or `NULL` if there is no match.

Prev | Up | Next
pci_match_id | Home | __pci_register_driver